OpenTTD Source: src/os/windows/win32.h File Reference

OpenTTD Source 15.0-beta1

Functions
win32.h File Reference

declarations of functions for MS windows systems More...

Go to the source code of this file.

## Functions
bool | MyShowCursor (bool show, bool toggle=false)
char * | convert_from_fs (const std::wstring_view src, std::span< char > dst_buf)
| Convert to OpenTTD's encoding from that of the environment in UNICODE.
wchar_t * | convert_to_fs (const std::string_view src, std::span< wchar_t > dst_buf)
| Convert from OpenTTD's encoding to that of the environment in UNICODE.
void | Win32SetCurrentLocaleName (const char *iso_code)
int | OTTDStringCompare (std::string_view s1, std::string_view s2)
int | Win32StringContains (const std::string_view str, const std::string_view value, bool case_insensitive)
| Search if a string is contained in another string using the current locale.

## Detailed Description

declarations of functions for MS windows systems

Definition in file win32.h.

## Function Documentation

## ◆ convert_from_fs()

char * convert_from_fs | ( | const std::wstring_view | src,
|  | std::span< char > | dst_buf
| ) |  |

Convert to OpenTTD's encoding from that of the environment in UNICODE.

OpenTTD encoding is UTF8, local is wide.

Parameters

  src | wide string that will be converted
  dst_buf | span of valid char buffer that will receive the converted string

Returns
  pointer to dst_buf. If conversion fails the string is of zero-length

Definition at line 372 of file win32.cpp.

Referenced by HandleIMEComposition(), MusicDriver_DMusic::Start(), and MusicDriver_Win32::Start().

## ◆ convert_to_fs()

wchar_t * convert_to_fs | ( | const std::string_view | src,
|  | std::span< wchar_t > | dst_buf
| ) |  |

Convert from OpenTTD's encoding to that of the environment in UNICODE.

OpenTTD encoding is UTF8, local is wide.

Parameters

  src | string that will be converted
  dst_buf | span of valid wide-char buffer that will receive the converted string

Returns
  pointer to dst_buf. If conversion fails the string is of zero-length

Definition at line 389 of file win32.cpp.

Referenced by HFontFromFont(), and LoadWin32Font().

## ◆ MyShowCursor()

bool MyShowCursor | ( | bool | show,
|  | bool | toggle = `false`
| ) |  |

Definition at line 38 of file win32.cpp.

## ◆ OTTDStringCompare()

int OTTDStringCompare | ( | std::string_view | s1,
|  | std::string_view | s2
| ) |  |

Definition at line 434 of file win32.cpp.

## ◆ Win32StringContains()

int Win32StringContains | ( | const std::string_view | str,
|  | const std::string_view | value,
|  | bool | case_insensitive
| ) |  |

Search if a string is contained in another string using the current locale.

Parameters

  str | String to search in.
  value | String to search for.
  case_insensitive | Search case-insensitive.

Returns
  1 if value was found, 0 if it was not found, or -1 if not supported by the OS.

Definition at line 479 of file win32.cpp.

References LibraryLoader::GetFunction().

Referenced by StrNaturalContains(), and StrNaturalContainsIgnoreCase().